---
title: Release notes of the 4.1.1 version of `TFEL`, `MFront` and `MTest`
author: Thomas Helfer
date: 2022
lang: en-EN
numbersections: true
documentclass: article
from: markdown+tex_math_single_backslash
geometry:
  - margin=2cm
papersize: a4
link-citations: true
colorlinks: true
figPrefixTemplate: "$$i$$"
tblPrefixTemplate: "$$i$$"
secPrefixTemplate: "$$i$$"
eqnPrefixTemplate: "($$i$$)"
---

Version 4.1.1 has been released on November, 28th 2023. This version
inherits from the bug fixes of Versions
[3.0.12](release-notes-3.0.12.html), [3.1.12](release-notes-3.1.12.html)
[3.2.9](release-notes-3.2.9.html), [3.4.5](release-notes-3.4.5.html) and
[4.0.2](release-notes-4.0.2.html).


# Issues fixed

## Issue 404: [mfront] Invalid treatments of variables bounds in the `Cast3M` and `generic` interfaces for models

For more details, see <https://github.com/thelfer/tfel/issues/404.

## Issue 402: [TFEL/Math] problem with `tfel::math::deviator` when compiling with `Sycl`

For more details, see <https://github.com/thelfer/tfel/issues/402.

## Issue 376: Add documentation for the keywords specific to the `Cast3M` interface

For more details, see <https://github.com/thelfer/tfel/issues/376.

## Issue 375: Invalid strain components when generating `MTest` files

For more details, see <https://github.com/thelfer/tfel/issues/375.

## Issue 364: [mfront] castem interface is broken for points wise models which are implemented as behaviours and which declares a consistent tangent operator

For more details, see <https://github.com/thelfer/tfel/issues/364>.

## Issue 363: [mfront] Check number of material properties and state variables in the `Cast3M` interface for point-wise models

For more details, see <https://github.com/thelfer/tfel/issues/363>.

## Issue 355: [MFront] Invalid implementation of the climb tensors

For more details, see <https://github.com/thelfer/tfel/issues/355>.

